local devices = love.audio.getRecordingDevices()
local microphone = devices[1]

local success = microphone:start(1000, 8000, 16, 1)
local source = love.audio.newQueueableSource(8000, 16, 1)

function love.update(dt)
    if success then
        local data = microphone:getData()

        if data then
            source:queue(data)
            source:play()
        end
    end
end